﻿#CommandesColumnLeft {
    padding: 0.3vh;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
    width: 24.5%;
}

#CommandesColumn, #CommandesColumnMulti, #CommandesColumnOPAC {
    width: 24.5%;
}

#CommandesSubTitle, #CommandesSubTitle2 {
    margin-bottom: 2vh;
    box-sizing: border-box;
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    justify-content: flex-start
}

#CommandesSubTitle2 {
    display: none;
}

#CommandesAllCheckUncheck {
    margin-left: 0.8vh;
}

.CommandesColumnInChangeDateMode #CommandesSubTitle {
    margin-bottom: 0.5vh;
}

.CommandesColumnInChangeDateMode #CommandesSubTitle2 {
    display: inline-flex !important;
}

.CommandesChangeDateContainers {
    display: inline-block;
    box-sizing: border-box;
    margin-left: 1vw;
}

#CommandesListeDates {
    display: inline;
    font-size: 2vh;
    min-width: 8vw;
    margin-top: 0.3vh;
    margin-left: 10vh;
}

#NouvelleDateCommandesContainer {
    margin-left: 12vh;
}

    #NouvelleDateCommandesContainer .DisplaySelectionDateDiv {
        font-size: 2vh;
    }

.CommandesChangeDateIcons {
    box-sizing: border-box;
    cursor: pointer;
    padding: 0.2vh;
    border-style: solid;
    border-width: 1px;
    border-color: transparent;
}

    .CommandesChangeDateIcons:hover {
        border-color: black;
    }

.CommandesChangeDateIcons {
    height: 3.5vh;
}

#CommandesContainer {
    width: 100%;
    box-sizing: border-box;
    overflow-y: auto;
    height: 90%;
}

#NouvelleCommandeDetailsDiv, #NouvelleMultiCommandeDetailsDiv {
    width: 100%;
    box-sizing: border-box;
    padding: 0.5vh;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
    cursor: pointer;
    margin-bottom: 0.5vh;
}

#NouvelleMultiCommandesCotesContainer {
    width: 100%;
    height: 70%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    box-sizing: border-box;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
    margin-top: 1vh;
    margin-bottom: 1vh;
    overflow-y: auto;
    cursor: pointer;
    padding: 0.5vh;
}

.NouvelleMultiCommandesCotesContainerActive {
    border-color: blue !important;
}

#NouvelleCommandePremLigne, #NouvelleCommandeTroisLigne {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    box-sizing: border-box;
    width: 100%;
    align-items: center;
}

#NouvelleCommandeTroisLigne {
    margin-top: 0.5vh;
}

#NouvelleCommandeDatesContainer, #NouvelleCommandeFormatContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    width: auto;
    font-size: 2vh;
}

#NouvelleCommandeModeSwitch {
    display: inline-block;
    background-color: white;
    width: 3vw;
    height: 2vh;
    border-style: solid;
    border-width: 0.1vw;
    border-color: black;
    border-radius: 2vh;
    padding: 0.2vh;
    text-align: left;
}

.NouvelleCommandeMultiMode #NouvelleCommandeModeSwitch {
    text-align: right !important;
}

#NouvelleCommandeSwitch {
    display: inline-block;
    height: 100%;
    width: 1.5vw;
    border-style: solid;
    border-width: 0.1vw;
    border-color: black;
    border-radius: 1.2vw;
    box-sizing: border-box;
    background-color: whitesmoke;
}

#SelectJour, #SelectMois, #SelectAnnee, #SelectJourNvD, #SelectMoisNvD, #SelectAnneeNvD {
    display: inline;
    font-size: 2vh;
}

.IconesFormatContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
}

    .IconesFormatContainer:last-of-type {
        border-left-color: lightgray;
        border-left-style: solid;
        border-left-width: 1px;
        margin-left: 0.5vw;
    }

#FormatPapierIcone, #FormatNumeriqueIcone {
    height: 3.5vh;
    width: 3.5vh;
    cursor: pointer;
    margin-left: 0.5vw;
    padding: 0.2vh;
    border-style: solid;
    border-color: transparent;
    border-width: 1px;
    box-sizing: border-box;
    /*opacity: 0.4;*/
}

    #FormatPapierIcone:hover, #FormatNumeriqueIcone:hover, .FormatSelected {
        border-color: grey !important;
    }

#NouvelleCommandeInput, #NouvelleCommandeMultiInput, #NouvelleCommandeMultiSelect {
    width: 100%;
    font-size: 1.8vh;
    box-sizing: border-box;
    border-style: solid;
    border-color: grey;
    border-width: 1px;
    margin-top: 0.5vh;
}

    #NouvelleCommandeInput:hover, #NouvelleCommandeMultiInput:hover {
        border-color: black;
    }

#NouvelleCommandeMultiInput, #NouvelleCommandeMultiSelect {
    display: none;
}

#NouvelleCommandeOK, #NouvelleCommandeMultiOK, #SetCommandeAsProcessedButton {
    margin-top: 0.5vh;
    font-size: 1.5vh;
    padding: 0.5vh;
    width: 100%;
    box-sizing: border-box;
}

.suggestionDivNotInDB {
    font-style: italic;
    text-transform: uppercase;
}

.suggestionDivNotInDBAndFrequentlyAsked {
    font-weight: bold;
}

#NouvelleCommandeTroisLigne span {
    font-size: 1.5vh;
}

#NouvelleCommandePrecInput {
    flex-grow: 1;
    box-sizing: border-box;
    margin-left: 0.5vw;
}

.NouvelleCommandeLabel {
    font-size: 1.2vh;
    font-weight: bold;
    text-align: left;
    width: 100%;
    box-sizing: border-box;
}

#NouvelleCommandeTitre, #NouvelleCommandeSupport, #NouvelleCommandeAuteurs {
    width: 100%;
    display: inline-block;
    box-sizing: border-box;
    font-size: 1.8vh;
}

#NouvelleCommandeTitre, #NouvelleCommandeSupport, #NouvelleCommandeAuteurs {
    height: 2.2vh;
    flex-shrink: 0;
    overflow: hidden;
    margin-bottom: 0.5vh;
}

#MAGGContainer {
    width: 100%;
}

#NouvelleCommandeDernieres {
    margin-top: 0.5vh;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    overflow-y: auto;
    padding-right: 0.3vh;
}

.NouvelleCommandeMultiMode .NouvelleCommandeLabel, .NouvelleCommandeMultiMode #NouvelleCommandeTitre, .NouvelleCommandeMultiMode #NouvelleCommandeSupport,
.NouvelleCommandeMultiMode #NouvelleCommandeAuteurs, .NouvelleCommandeMultiMode #NouvelleCommandeDernieres,
.NouvelleCommandeMultiMode #NouvelleCommandeInput, .NouvelleCommandeMultiMode #NouvelleCommandeTroisLigne,
.NouvelleCommandeMultiMode #MAGGContainer {
    display: none !important;
}

.NouvelleCommandeMultiMode #NouvelleCommandeMultiInput, .NouvelleCommandeMultiMode #NouvelleCommandeMultiSelect {
    display: inline-block !important;
}

.MultiCoteContainer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
    margin-bottom: 0.5vh;
    padding: 0.5vh;
    box-sizing: border-box;
}

    .MultiCoteContainer img {
        height: 2vh;
        flex-shrink: 0;
    }

.MultiCoteRefuse {
    opacity: 0.5;
    cursor: pointer;
}

    .MultiCoteRefuse:hover {
        opacity: 1;
    }

.MultiCoteWarning {
    visibility: hidden;
}

.MultiCoteWithWarning .MultiCoteWarning {
    visibility: visible !important;
}

.MultiCoteTexte {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin: 0 0.5vw;
    flex-grow: 1;
}

.MultiCoteCote {
    font-weight: bold;
    margin-bottom: 0.2vh;
    cursor: pointer;
}

    .MultiCoteCote:hover {
        text-decoration: underline;
    }

.MultiCotePrecision {
    font-size: 0.8em;
    width: 100%;
    height: 1.3em;
    overflow: hidden;
}

#NouvelleCommandeMultiClear {
    align-self: flex-end;
    margin-top: 1vh;
}

#DemandesOPACSelect {
    width: 100%;
    margin-bottom: 1vh;
    height: 25%;
    flex-shrink: 0;
    font-size: 1.5vh;
}

.DemandeNonTraitee {
    font-weight: bold;
}

#DemandesDatesContainer {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
    box-sizing: border-box;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
    margin-bottom: 0.5vh;
    padding: 0.5vh;
    height: 63%;
    overflow: auto;
}

.DemandesSubTitle {
    margin-top: 1vh;
    margin-bottom: 0.5vh;
    font-weight: bold;
    font-size: 0.8em;
}

.DemandeDate {
    margin-bottom: 0.5vh;
    width: 100%;
    padding: 1vh;
    font-size: 1.2em;
}

#DemandesOPACRefresh {
    margin-left: 1vw;
    height: 2vh;
    cursor: pointer;
}

#DemandesOPACIncludedProcessedLabel {
    font-size: 0.8em;
    cursor: pointer;
    user-select: none;
}

#DemandesOPACIncludedProcessed {
    margin-right: 0.5vw;
}
